import BicycleServerCore, { Options } from './server-core';
export { Options };
/**
 * BicycleServer provides methods for exposing your
 * schema over a network, and for directly querying
 * your schema on the server.
 *
 * @public
 */
declare class BicycleServer<Context> extends BicycleServerCore<Context> {
    constructor(schema: {
        objects: any[];
        scalars?: any[];
    } | string, options?: Options);
}
export default BicycleServer;
